/**
 * TwitterIcon SVG
 */

import React from 'react';

const TwitterIcon = props => (
    /* eslint-disable */
    <svg xmlns="http://www.w3.org/2000/svg" width="15" height="13" viewBox="0 0 15 13">
        <path fill={props.color} fillRule="evenodd" d="M14.593.235a3.243 3.243 0 0 1-1.27 1.667c.575-.051 1.117-.216 1.644-.436l.033.038c-.25.29-.486.59-.751.865-.206.214-.445.397-.674.588-.07.057-.102.112-.101.207.012 3.006-1.136 5.47-3.494 7.338-1.175.932-2.542 1.441-4.029 1.633-1.452.187-2.87.05-4.248-.45A8.38 8.38 0 0 1 0 10.836c1.688.146 3.18-.256 4.525-1.272-1.41-.121-2.35-.827-2.874-2.151.474.073.91.069 1.352-.049C1.488 6.91.676 5.91.567 4.294c.448.221.879.365 1.36.38C.57 3.535.268 2.18 1.008.555 2.695 2.537 4.8 3.614 7.37 3.792c-.02-.19-.045-.362-.054-.536C7.236 1.723 8.245.384 9.75.072c1.04-.215 1.97.052 2.751.78.105.097.19.115.322.083a6.394 6.394 0 0 0 1.61-.618c.042-.024.085-.044.16-.082"/>
    </svg>

    /* eslint-enable */
);

export const TwitterIconString = props => (
    `<svg xmlns="http://www.w3.org/2000/svg" width="15" height="13" viewBox="0 0 15 13">
        <path fill=${props.color} fillRule="evenodd" d="M14.593.235a3.243 3.243 0 0 1-1.27 1.667c.575-.051 1.117-.216 1.644-.436l.033.038c-.25.29-.486.59-.751.865-.206.214-.445.397-.674.588-.07.057-.102.112-.101.207.012 3.006-1.136 5.47-3.494 7.338-1.175.932-2.542 1.441-4.029 1.633-1.452.187-2.87.05-4.248-.45A8.38 8.38 0 0 1 0 10.836c1.688.146 3.18-.256 4.525-1.272-1.41-.121-2.35-.827-2.874-2.151.474.073.91.069 1.352-.049C1.488 6.91.676 5.91.567 4.294c.448.221.879.365 1.36.38C.57 3.535.268 2.18 1.008.555 2.695 2.537 4.8 3.614 7.37 3.792c-.02-.19-.045-.362-.054-.536C7.236 1.723 8.245.384 9.75.072c1.04-.215 1.97.052 2.751.78.105.097.19.115.322.083a6.394 6.394 0 0 0 1.61-.618c.042-.024.085-.044.16-.082"/>
    </svg>`
);

export default TwitterIcon;
